SplinePathBuilder Class

class NXOpen.Routing.SplinePathBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Routing.SplinePathBuilder object.

The builder allows for creating and editing D-Cubed constrained splines, adding extensions, adding stock offset points, adding stock, locking length, adding slack, and locking to other D-Cubed constrained objects.

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateSplinePathBuilder()

New in version NX6.0.0.

Properties

Property Description
BoundedCurvature Returns or sets whether the spline maximum bounded radius value should be used.
BoundedCurvatureRadius Returns the minimum radius allowed for this spline.
BoundedCurvatureRatio Returns the minimum radius allowed for this spline as a ratio to diameter.
DefiningType Returns or sets the type which specifies the shape of the spline.
MinimumCheckingAllowableRatio Returns the minimum ratio allowed for this spline
MinimumCheckingAllowableValue Returns the minimum radius allowed for this spline.
MinimumCheckingMethod Returns or sets the minimum checking method for this spline.
RadiusSource Returns or sets the driving expression, value, or attribute of the bounded radius.
ShowSplineMinimumRadius Returns or sets whether the spline minimum radius value should be displayed or not.
Tag Returns the Tag for this object.
UseMinimumCheckingValue Returns or sets whether the spline minimum radius value should be checked or not on this spline.

Methods

Method Description
AddDefiningPointAtAbsoluteCoords Adds a point to the spline.
AddDefiningPointToSpline Adds a defining point to the current spline or creates the first point of the new spline.
AddSlackToSpline  
AskDefiningData When a spline is selected for editing, the builder will analyze the spline and gather all of the defining data.
AssignExtension Assigns an extension to the point at pointIndex.
AssignHealPathExtension Assigns an extension to the point at pointIndex for Heal Path.
AssignTangentExtensionForPointAtIndex Assigns the extension direction and expressions tangent to the spline path at the given point index.
BlankStockAndGetLargestDia Blanks all the stocks on the current segment and returns the stock with the largest diameter.
Commit Commits any edits that have been applied to the builder.
CommitDrag Clears the current drag network.
CreateAssignTangencyBuilder Creates a NXOpen.Routing.AssignTangencyBuilder object.
DeleteDefiningPointAtIndex Deletes a defining point from the spline.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DetachPoint Detaches the point at the selected index from all objects its attached to using a Touch constraint.
GetAssignTangencyBuilder Get a NXOpen.Routing.AssignTangencyBuilder object.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetDefiningPointPositions Gets the positions of the defining points as an array of doubles.
GetDefiningPointPositionsAsPoints Gets the positions of the defining points as an array of Point3d coordinates.
GetExtensionDataForPointAtIndex Get the extension expressions at the given index.
GetLargestDiameterStock Returns the stock with the largest on the current segment.
GetLockedSplineMinimumLength Returns the minimum length of the spline.
GetObject Returns the object currently being edited by this builder.
GetOffsetData Returns the Stock Offset data associated with a given point.
GetRouteSegment Gets the routing segment managed by the builder, if it exists.
GetSplineLength Gets the current length of the spline.
GetSplineLengthNoShaping Gets the current length of the spline without shaping applied.
GetStartAndEndRcp Gets the RCPs managed by the builder, if they exist.
InitializeDrag Initialize the D-Cubed dragging functionality for the point at index.
IsLengthLocked Is the spline length locked?
IsSplineSlacked  
LockSplineLengthNoShaping Locks the length of the current spline.
LockSplineLengthWithShaping Locks the length of the current spline.
RemoveAllShaping Removes all shaping applied to the spline (Lock length, slacking).
SetAddPointsOnSubdivideFlag Sets whether or not additional points will be added to a spline which is created as the result of a subdivide.
SetCreateTangencyFlag Sets whether or not additional the newly created spline will be made tangent to connecting splines.
SetDefaultPortExtensionLength Sets the default port extension length to be used when creating or editing points at port locations that do not already have an extension .
SetLockToSelectedFlag Sets whether the spline will attempt to lock points to selected object.
SetSplineMethod Sets the defining method of the spline.
SetStockBoundedDiameter Sets the driving diameter of the current stock for the ratio-to-diameter bounded curvature.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnblankStocks Unblanks stocks which were blanked by calling BlankStockAndGetLargestDia
UpdateDefiningPoint Updates the position of a point on the spline.
UpdateDefiningPointPositionAtIndex Updates the position of a point on the spline.
UpdateExtensionDirectionAtIndex Update the extension orientation at the point index.
UpdateExtensionDirectionForPointAtIndex Update the extension orientation at the point index.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

SplinePathBuilderDefiningPointMethod Enumeration Specifies if a new point should be created when adding a point to the spline.
SplinePathBuilderDefiningTypes Enumeration Specifies how the spline points define the shape of the spline.
SplinePathBuilderDragMode Enumeration Specifies if drag network is active when updating the position of a defining point.
SplinePathBuilderSplinePathAttributeOptions Enumeration Describes user attribute methods options.
SplinePathBuilderSplinePathRadiusSource Enumeration Describes the method for the constrained curvature spline to be defined as.
SplinePathBuilderSplinePathSlackType Enumeration Describes the type of slack to be applied to the spline.

Property Detail

BoundedCurvature

SplinePathBuilder.BoundedCurvature

Returns or sets whether the spline maximum bounded radius value should be used.

-------------------------------------

Getter Method

Signature BoundedCurvature

Returns:
Return type:bool

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

-------------------------------------

Setter Method

Signature BoundedCurvature

Parameters:useBoundedCurvature (bool) –

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

BoundedCurvatureRadius

SplinePathBuilder.BoundedCurvatureRadius

Returns the minimum radius allowed for this spline.

-------------------------------------

Getter Method

Signature BoundedCurvatureRadius

Returns:
Return type:NXOpen.Expression

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

BoundedCurvatureRatio

SplinePathBuilder.BoundedCurvatureRatio

Returns the minimum radius allowed for this spline as a ratio to diameter.

-------------------------------------

Getter Method

Signature BoundedCurvatureRatio

Returns:
Return type:NXOpen.Expression

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

DefiningType

SplinePathBuilder.DefiningType

Returns or sets the type which specifies the shape of the spline.

See NXOpen.Routing.SplinePathBuilderDefiningTypes for valid options

-------------------------------------

Getter Method

Signature DefiningType

Returns:
Return type:NXOpen.Routing.SplinePathBuilderDefiningTypes

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Setter Method

Signature DefiningType

Parameters:definingType (NXOpen.Routing.SplinePathBuilderDefiningTypes) –

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

MinimumCheckingAllowableRatio

SplinePathBuilder.MinimumCheckingAllowableRatio

Returns the minimum ratio allowed for this spline

-------------------------------------

Getter Method

Signature MinimumCheckingAllowableRatio

Returns:
Return type:NXOpen.Expression

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

MinimumCheckingAllowableValue

SplinePathBuilder.MinimumCheckingAllowableValue

Returns the minimum radius allowed for this spline.

-------------------------------------

Getter Method

Signature MinimumCheckingAllowableValue

Returns:
Return type:NXOpen.Expression

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

MinimumCheckingMethod

SplinePathBuilder.MinimumCheckingMethod

Returns or sets the minimum checking method for this spline.

See NXOpen.Routing.SplinePathBuilderSplinePathAttributeOptions for valid options

-------------------------------------

Getter Method

Signature MinimumCheckingMethod

Returns:
Return type:NXOpen.Routing.SplinePathBuilderSplinePathAttributeOptions

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Setter Method

Signature MinimumCheckingMethod

Parameters:routeCheckingMethod (NXOpen.Routing.SplinePathBuilderSplinePathAttributeOptions) –

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

RadiusSource

SplinePathBuilder.RadiusSource

Returns or sets the driving expression, value, or attribute of the bounded radius.

-------------------------------------

Getter Method

Signature RadiusSource

Returns:The type of bounded curvature.
Return type:NXOpen.Routing.SplinePathBuilderSplinePathRadiusSource

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

-------------------------------------

Setter Method

Signature RadiusSource

Parameters:source (NXOpen.Routing.SplinePathBuilderSplinePathRadiusSource) – The type of bounded curvature.

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

ShowSplineMinimumRadius

SplinePathBuilder.ShowSplineMinimumRadius

Returns or sets whether the spline minimum radius value should be displayed or not.

-------------------------------------

Getter Method

Signature ShowSplineMinimumRadius

Returns:
Return type:bool

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Setter Method

Signature ShowSplineMinimumRadius

Parameters:allowDisplay (bool) –

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

UseMinimumCheckingValue

SplinePathBuilder.UseMinimumCheckingValue

Returns or sets whether the spline minimum radius value should be checked or not on this spline.

-------------------------------------

Getter Method

Signature UseMinimumCheckingValue

Returns:
Return type:bool

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Setter Method

Signature UseMinimumCheckingValue

Parameters:useMinRadius (bool) –

New in version NX9.0.1.

License requirements: routing_base (“Routing Basic”)

Method Detail

AddDefiningPointAtAbsoluteCoords

SplinePathBuilder.AddDefiningPointAtAbsoluteCoords

Adds a point to the spline.

The point will be the new endpoint of the spline.

Signature AddDefiningPointAtAbsoluteCoords(point)

Parameters:point (NXOpen.Point3d) – The Point to add.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

AddDefiningPointToSpline

SplinePathBuilder.AddDefiningPointToSpline

Adds a defining point to the current spline or creates the first point of the new spline.

Signature AddDefiningPointToSpline(point, createNewPoint)

Parameters:
  • point (NXOpen.Point) – Point to add.
  • createNewPoint (bool) – Should the builder create a new point based on the one provided?
Returns:

Returns the index the point was added along the spline.

For example, if 3 points exist on the spline and the new point was added between points 0 and 1 this variable would be set to 1.

Return type:int

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

AddSlackToSpline

SplinePathBuilder.AddSlackToSpline

Signature AddSlackToSpline(slackType, slackValue, slackDirection)

Parameters:

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

AskDefiningData

SplinePathBuilder.AskDefiningData

When a spline is selected for editing, the builder will analyze the spline and gather all of the defining data.

The dialog will use this function to retrieve the defining data from the builder to populate its fields.

Signature AskDefiningData()

Returns:Defining points of the spline.
Return type:list of NXOpen.Point

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

AssignExtension

SplinePathBuilder.AssignExtension

Overloaded method AssignExtension

  • AssignExtension(pointIndex, direction, forwardLength, backwardLength)
  • AssignExtension(pointIndex, direction, forwardLength, backwardLength, forceDeleteOnZeroExpression)

-------------------------------------

Assigns an extension to the point at pointIndex.

Signature AssignExtension(pointIndex, direction, forwardLength, backwardLength)

Parameters:
  • pointIndex (int) – Index of the point to assing extension.
  • direction (NXOpen.Direction) – Direction of the extension.
  • forwardLength (NXOpen.Expression) – Forward Length of the extension.
  • backwardLength (NXOpen.Expression) – Backward Length of the extension.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

Assigns an extension to the point at pointIndex.

Signature AssignExtension(pointIndex, direction, forwardLength, backwardLength, forceDeleteOnZeroExpression)

Parameters:
  • pointIndex (int) – Index of the point to assign extension.
  • direction (NXOpen.Direction) – Direction of extension.
  • forwardLength (NXOpen.Expression) – Forward length of extension.
  • backwardLength (NXOpen.Expression) – Backward length of extension.
  • forceDeleteOnZeroExpression (bool) –

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

-------------------------------------

AssignHealPathExtension

SplinePathBuilder.AssignHealPathExtension

Assigns an extension to the point at pointIndex for Heal Path.

Signature AssignHealPathExtension(pointIndex, direction, forwardLength, backwardLength)

Parameters:
  • pointIndex (int) – Index of the point to assing extension.
  • direction (NXOpen.Direction) – Direction of the extension.
  • forwardLength (NXOpen.Expression) – Length of the forward extension.
  • backwardLength (NXOpen.Expression) – Length of the backward extension.

New in version NX6.0.1.

License requirements: routing_base (“Routing Basic”)

AssignTangentExtensionForPointAtIndex

SplinePathBuilder.AssignTangentExtensionForPointAtIndex

Assigns the extension direction and expressions tangent to the spline path at the given point index.

Signature AssignTangentExtensionForPointAtIndex(index, forwardLength, backwardLength)

Parameters:
  • index (int) – Index of the point to use.
  • forwardLength (NXOpen.Expression) – Length of the forward extension.
  • backwardLength (NXOpen.Expression) – Length of the backward extension.
Returns:

a tuple

Return type:

A tuple consisting of (tangent, normal, extensionDir). tangent is a NXOpen.Vector3d. Extension direction. normal is a NXOpen.Vector3d. Curve normal. extensionDir is a NXOpen.Direction. Direction object.

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

BlankStockAndGetLargestDia

SplinePathBuilder.BlankStockAndGetLargestDia

Blanks all the stocks on the current segment and returns the stock with the largest diameter.

Signature BlankStockAndGetLargestDia()

Returns:The stock with the largest diameter.
Return type:NXOpen.Routing.Stock

New in version NX7.5.1.

Deprecated since version NX12.0.0: Use Routing.SplinePathBuilder.GetLargestDiameterStock() instead.

License requirements: routing_base (“Routing Basic”)

CommitDrag

SplinePathBuilder.CommitDrag

Clears the current drag network.

Signature CommitDrag(definingPoint)

Parameters:definingPoint (NXOpen.Point) – Optional UI point defining the position of the spline point.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

CreateAssignTangencyBuilder

SplinePathBuilder.CreateAssignTangencyBuilder

Creates a NXOpen.Routing.AssignTangencyBuilder object.

Signature CreateAssignTangencyBuilder()

Returns:
Return type:NXOpen.Routing.AssignTangencyBuilder

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

DeleteDefiningPointAtIndex

SplinePathBuilder.DeleteDefiningPointAtIndex

Deletes a defining point from the spline.

Signature DeleteDefiningPointAtIndex(index)

Parameters:index (int) – Index of the point to delete.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

DetachPoint

SplinePathBuilder.DetachPoint

Detaches the point at the selected index from all objects its attached to using a Touch constraint.

Signature DetachPoint(index)

Parameters:index (int) – Index of point to detach.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetAssignTangencyBuilder

SplinePathBuilder.GetAssignTangencyBuilder

Get a NXOpen.Routing.AssignTangencyBuilder object.

Signature GetAssignTangencyBuilder()

Returns:
Return type:NXOpen.Routing.AssignTangencyBuilder

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

GetDefiningPointPositions

SplinePathBuilder.GetDefiningPointPositions

Gets the positions of the defining points as an array of doubles.

Each point’s XYZ coordinates are represented by three doubles. X1, Y1, Z1, X2, Y2, Z2, X3, Y3, Z3, …

Signature GetDefiningPointPositions()

Returns:array of doubles representing the defining points.
Return type:list of float

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetDefiningPointPositionsAsPoints

SplinePathBuilder.GetDefiningPointPositionsAsPoints

Gets the positions of the defining points as an array of Point3d coordinates.

Signature GetDefiningPointPositionsAsPoints()

Returns:array of points representing the defining points.
Return type:list of NXOpen.Point3d

New in version NX11.0.2.

License requirements: routing_base (“Routing Basic”)

GetExtensionDataForPointAtIndex

SplinePathBuilder.GetExtensionDataForPointAtIndex

Get the extension expressions at the given index.

Signature GetExtensionDataForPointAtIndex(index)

Parameters:index (int) – Index of the defining point to query.
Returns:a tuple
Return type:A tuple consisting of (forwardLength, backwardLength, extDirection). forwardLength is a NXOpen.Expression. Forward extension length. backwardLength is a NXOpen.Expression. Backward extension length. extDirection is a NXOpen.Vector3d. Extension direction.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetLargestDiameterStock

SplinePathBuilder.GetLargestDiameterStock

Returns the stock with the largest on the current segment.

Signature GetLargestDiameterStock()

Returns:The stock with the largest diameter.
Return type:NXOpen.Routing.Stock

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

GetLockedSplineMinimumLength

SplinePathBuilder.GetLockedSplineMinimumLength

Returns the minimum length of the spline.

The minimum length is the straight line distance between all defining points, including extensions.

Signature GetLockedSplineMinimumLength()

Returns:The minimum length of the spline.
Return type:float

New in version NX7.5.4.

License requirements: routing_base (“Routing Basic”)

GetOffsetData

SplinePathBuilder.GetOffsetData

Returns the Stock Offset data associated with a given point.

Output can be NULL if the associated point is not a stock offset point.

Signature GetOffsetData(index)

Parameters:index (int) – Index of point to detach.
Returns:a tuple
Return type:A tuple consisting of (method, basePoint, offDir, exp). method is a int. The type of offset object. 0 = Not Offset, 1 = Stock Offset Point, 2 = Stock Offset Surface. basePoint is a NXOpen.Point. The base point frim the offset object. offDir is a NXOpen.Direction. The offset direction. exp is a str. The expression defining the offset distance.

New in version NX6.0.1.

License requirements: routing_base (“Routing Basic”)

GetRouteSegment

SplinePathBuilder.GetRouteSegment

Gets the routing segment managed by the builder, if it exists.

Signature GetRouteSegment()

Returns:Visible Routing BCurve Segment.
Return type:NXOpen.Curve

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetSplineLength

SplinePathBuilder.GetSplineLength

Gets the current length of the spline.

Signature GetSplineLength()

Returns:The length of the current spline.
Return type:float

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetSplineLengthNoShaping

SplinePathBuilder.GetSplineLengthNoShaping

Gets the current length of the spline without shaping applied.

Signature GetSplineLengthNoShaping()

Returns:The length of the current spline without shaping.
Return type:float

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

GetStartAndEndRcp

SplinePathBuilder.GetStartAndEndRcp

Gets the RCPs managed by the builder, if they exist.

Signature GetStartAndEndRcp()

Returns:a tuple
Return type:A tuple consisting of (endRcp, startRcp). endRcp is a NXOpen.Routing.ControlPoint. The target ControlPoint. startRcp is a NXOpen.Routing.ControlPoint. The source ControlPoint.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

InitializeDrag

SplinePathBuilder.InitializeDrag

Initialize the D-Cubed dragging functionality for the point at index.

Signature InitializeDrag(index)

Parameters:index (int) – Index of the point to drag.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

IsLengthLocked

SplinePathBuilder.IsLengthLocked

Is the spline length locked?

Signature IsLengthLocked()

Returns:a tuple
Return type:A tuple consisting of (length, isLocked, slackDirection). length is a NXOpen.Expression. The locked length of the spline. isLocked is a bool. Is the spline length locked? slackDirection is a NXOpen.Direction. The direction to apply slack.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

IsSplineSlacked

SplinePathBuilder.IsSplineSlacked

Signature IsSplineSlacked()

Returns:a tuple
Return type:A tuple consisting of (slacked, slackType, slackValue, downDir). slacked is a bool. Is slack applied to the spline? slackType is a NXOpen.Routing.SplinePathBuilderSplinePathSlackType. The type of slack. slackValue is a NXOpen.Expression. The added amount of slack. downDir is a NXOpen.Direction. The slack direction.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

LockSplineLengthNoShaping

SplinePathBuilder.LockSplineLengthNoShaping

Locks the length of the current spline.

Signature LockSplineLengthNoShaping(length)

Parameters:length (NXOpen.Expression) – The length to lock the spline.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

LockSplineLengthWithShaping

SplinePathBuilder.LockSplineLengthWithShaping

Locks the length of the current spline.

Signature LockSplineLengthWithShaping(length, slackDirection)

Parameters:

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

RemoveAllShaping

SplinePathBuilder.RemoveAllShaping

Removes all shaping applied to the spline (Lock length, slacking).

Signature RemoveAllShaping()

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

SetAddPointsOnSubdivideFlag

SplinePathBuilder.SetAddPointsOnSubdivideFlag

Sets whether or not additional points will be added to a spline which is created as the result of a subdivide.

If true, new points will be added to maintain a shape similar to the original curve.

Signature SetAddPointsOnSubdivideFlag(addPoints)

Parameters:addPoints (bool) – True to add points to subdivided splines.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

SetCreateTangencyFlag

SplinePathBuilder.SetCreateTangencyFlag

Sets whether or not additional the newly created spline will be made tangent to connecting splines.

Signature SetCreateTangencyFlag(createTangency)

Parameters:createTangency (bool) – True to add tangency.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

SetDefaultPortExtensionLength

SplinePathBuilder.SetDefaultPortExtensionLength

Sets the default port extension length to be used when creating or editing points at port locations that do not already have an extension .

Signature SetDefaultPortExtensionLength(value)

Parameters:value (float) –

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

SetLockToSelectedFlag

SplinePathBuilder.SetLockToSelectedFlag

Sets whether the spline will attempt to lock points to selected object.

This flag is only checked when adding a point to a spline by passing in a smart point to derive a new dumb spline point from. If the smart point is derived from a Port, ControlPoint, or other Routing Object, the new spline defining point will lock to that object. This flag is also checked during commit, where endpoint associativity is applied.

Signature SetLockToSelectedFlag(lockSelected)

Parameters:lockSelected (bool) – True to lock to selected objects.

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

SetSplineMethod

SplinePathBuilder.SetSplineMethod

Sets the defining method of the spline.

Signature SetSplineMethod(splineMethod)

Parameters:splineMethod (NXOpen.Positioning.ConstraintSplineType) – the defining method of the spline.

New in version NX6.0.0.

Deprecated since version NX11.0.2: Use Routing.SplinePathBuilderDefiningTypes instead.

License requirements: routing_base (“Routing Basic”)

SetStockBoundedDiameter

SplinePathBuilder.SetStockBoundedDiameter

Sets the driving diameter of the current stock for the ratio-to-diameter bounded curvature.

Signature SetStockBoundedDiameter(value)

Parameters:value (float) –

New in version NX12.0.0.

License requirements: routing_advanced (“Routing Advanced”)

UnblankStocks

SplinePathBuilder.UnblankStocks

Unblanks stocks which were blanked by calling BlankStockAndGetLargestDia

Signature UnblankStocks()

New in version NX7.5.1.

Deprecated since version NX12.0.0: There is no need for this method.

License requirements: routing_base (“Routing Basic”)

UpdateDefiningPoint

SplinePathBuilder.UpdateDefiningPoint

Updates the position of a point on the spline.

Signature UpdateDefiningPoint(index, point, inDrag, translation)

Parameters:
  • index (int) – The index of the point to update position..
  • point (NXOpen.Point) – The point representing the new position.
  • inDrag (bool) – Is the point currently being dragged?
  • translation (NXOpen.Vector3d) – Translation to redefine the point.

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

UpdateDefiningPointPositionAtIndex

SplinePathBuilder.UpdateDefiningPointPositionAtIndex

Updates the position of a point on the spline.

Signature UpdateDefiningPointPositionAtIndex(index, point, inDrag)

Parameters:
  • index (int) – The index of the point to update position..
  • point (NXOpen.Point) – The point representing the new position.
  • inDrag (bool) – Is the point currently being dragged?

New in version NX6.0.0.

License requirements: routing_base (“Routing Basic”)

UpdateExtensionDirectionAtIndex

SplinePathBuilder.UpdateExtensionDirectionAtIndex

Update the extension orientation at the point index.

Signature UpdateExtensionDirectionAtIndex(index, direction)

Parameters:
  • index (int) – Index of the point to analyze.
  • direction (NXOpen.Vector3d) – Direction to assign the extension.

New in version NX12.0.0.

License requirements: routing_base (“Routing Basic”)

UpdateExtensionDirectionForPointAtIndex

SplinePathBuilder.UpdateExtensionDirectionForPointAtIndex

Update the extension orientation at the point index.

Signature UpdateExtensionDirectionForPointAtIndex(index, deltaTrans, orientation, inDrag)

Parameters:
  • index (int) – Index of the point to analyze.
  • deltaTrans (NXOpen.Vector3d) – Translation to transform.
  • orientation (NXOpen.Matrix3x3) – Delta rotation transform.
  • inDrag (bool) – the geometry is currently being dragged?

New in version NX11.0.1.

License requirements: routing_base (“Routing Basic”)

Validate

SplinePathBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.